## quantum 2013.1.3

=== debian/changelog ===
quantum (2013.1.3-1) unstable; urgency=low

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Aug 2013 17:37:48 +0800

quantum (2013.1.2-4) unstable; urgency=low

  * [debconf_rewrite] Debconf templates and debian/control review from the
    debian-l10n-english team. Thanks a lot to them! (Closes: #708761).
  * python-pyparsing Depends: is now >= 1.5.7.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Jul 2013 00:25:20 +0800

quantum (2013.1.2-3) unstable; urgency=low

  * Fixed lack of #DEBHELPER# in metadata-agent.postrm
  * Removed doubled-defined Should-Start in l3-agent and metadata-agent
  * Edited debian/changelog and releasing.
  * Adds breaks+replaces for plugin*agents in quantum-common
  * Activates quantum as default for the security group handling in the ovs
    plugin config.
  * Quantum starts after mysql, postgresql, keysotne and rabbitmq-server.
  * Remove root_helper from the dhcp agent config, since the bug has been
    corrected in Quantum.
  * Moved ovs dependency from ovs-plugin to ovs-plugin-agent as it should be.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Jul 2013 14:38:29 +0000

quantum (2013.1.2-2) unstable; urgency=low

  * Added some root_helper directives.
  * Quantum starts after mysql, postgresql, rabbitmq-server and keystone.
  * Adds breaks+replaces for the plugin*agents in quantum-common, thanks to
    Andreas Beckmann for reporting (Closes: #710917).

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 Jun 2013 15:43:28 +0800

quantum (2013.1.2-1) unstable; urgency=low

  * New upstream release.
  * Moved openvswitch-switch from depends to pre-depends for the ovs agent.
  * quantum-plugin-openvswitch-agent should start after openvswitch-switch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Jun 2013 14:20:47 +0800

quantum (2013.1.1-3) unstable; urgency=low

  * Ran wrap-and-sort.
  * Added /var/log/quantum/quantum-ns-metadata-proxy*.log to logrotate.
  * Added missing depends: iputils-arping in l3-agent.
  * Adds rm -rf /var/lib/quantum-plugin-openvswitch (Closes: #709958).
  * Fixed the name of the binary of the lbaas agent in its init script.
  * Added missing /etc/quantum/metadata_agent.ini config file.
  * Added debian/patches/Fix_a_race_condition_in_add_tunnel_endpoint.patch
    (backported from master branch).
  * Adds missing Breaks+Replaces: quantum-common in python-quantum, thanks to
    Andreas Beckmann for reporting (Closes: #700713).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 May 2013 15:49:10 +0800

quantum (2013.1.1-1) unstable; urgency=low

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 May 2013 08:57:30 +0000

quantum (2013.1-1) experimental; urgency=low

  * New upstream release.
  * Added some Breaks: python-quamtum (Closes: #694938).

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Jan 2013 15:05:46 +0000

quantum (2012.2.1-1) experimental; urgency=low

  * New upstream version 2012.2.1.
  * Now using xz level 9 for the debs.
  * Imported source from tag 2012.2
  * Now using pkgos functions and depending on openstack-pkg-tools.
  * Added Depends: python-cliff, python-pyparsing, python-mysqldb,
  python-sqlalchemy in quantum-common.
  * Now using debconf to configure quantum-plugin-openvswitch networking,
  with auto-detection for the local_ip directive.
  * Clean-up debian/control.
  * Removed duplicate python-lxml dependincy in python-quantum.
  * Fixed debian/copyright format URL.
  * Pre-Depends: dpkg (>= 1.15.6~), because of xz compression.
  * quantum-plugin-openvswitch depends on adduser (was missing).
  * Lots of lintian clean-ups.
  * Added a Recommends: openvswitch-datapath-dkms in both
  quantum-plugin-openvswitch and quantum-plugin-openvswitch-agent.

 -- Thomas Goirand <zigo@debian.org>  Sun, 02 Dec 2012 12:11:03 +0000

quantum (2012.1-6) unstable; urgency=low

  [ Ola Lundqvist ]
  * Moved plugin files to the respective plugin package.
  * The sample plugin is moved to usr/doc.
  * Updated debian/rules to allow build two times in a row without
    breaking.
  * Removed useless Provides: / Breaks: / Conflicts: in debian/control.

 -- Loic Dachary (OuoU) <loic@debian.org>  Thu, 28 Jun 2012 08:12:57 +0200
