=== debian/control ===
Source: quantum
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools (>= 4),
               po-debconf,
               python-all (>= 2.6)
Build-Depends-Indep: alembic (>=0.4.1),
                     bridge-utils,
                     pep8 (>= 1.3.3),
                     python-amqplib,
                     python-anyjson,
                     python-argparse,
                     python-babel,
                     python-cliff,
                     python-configobj,
                     python-coverage,
                     python-eventlet (>= 0.9.17),
                     python-fixtures (>= 0.3.12),
                     python-gflags,
                     python-greenlet,
                     python-httplib2,
                     python-iso8601,
                     python-keystoneclient (>= 1:0.2),
                     python-kombu,
                     python-lxml,
                     python-mock (>= 1.0b1),
                     python-mox,
                     python-netaddr,
                     python-netifaces,
                     python-nose,
                     python-nosexcover,
                     python-novaclient,
                     python-oslo.config,
                     python-paste,
                     python-pastedeploy,
                     python-pyudev,
                     python-quantumclient (>= 1:2.0),
                     python-routes,
                     python-setuptools,
                     python-setuptools-git,
                     python-simplejson,
                     python-sphinx,
                     python-sqlalchemy,
                     python-testtools (>= 0.9.27),
                     python-unittest2,
                     python-webob,
                     python-webtest
Standards-Version: 3.9.3
Homepage: http://quantum.openstack.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/quantum.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/quantum.git

Package: python-quantum
Architecture: all
Section: python
Pre-Depends: dpkg (>= 1.15.6~)
Replaces: quantum-common (<< 2013),
          quantum-dhcp-agent (<< 2013),
          quantum-l3-agent (<< 2013),
          quantum-plugin-cisco (<< 2013),
          quantum-plugin-linuxbridge (<< 2013),
          quantum-plugin-linuxbridge-agent (<< 2013),
          quantum-plugin-metaplugin (<< 2013),
          quantum-plugin-nec (<< 2013),
          quantum-plugin-nec-agent (<< 2013),
          quantum-plugin-nicira (<< 2013),
          quantum-plugin-openvswitch (<< 2013),
          quantum-plugin-openvswitch-agent (<< 2013),
          quantum-plugin-ryu (<< 2013),
          quantum-plugin-ryu-agent (<< 2013)
Breaks: quantum-common (<< 2013),
        quantum-dhcp-agent (<< 2013),
        quantum-l3-agent (<< 2013),
        quantum-plugin-cisco (<< 2013),
        quantum-plugin-linuxbridge (<< 2013),
        quantum-plugin-linuxbridge-agent (<< 2013),
        quantum-plugin-metaplugin (<< 2013),
        quantum-plugin-nec (<< 2013),
        quantum-plugin-nec-agent (<< 2013),
        quantum-plugin-nicira (<< 2013),
        quantum-plugin-openvswitch (<< 2013),
        quantum-plugin-openvswitch-agent (<< 2013),
        quantum-plugin-ryu (<< 2013),
        quantum-plugin-ryu-agent (<< 2013)
Depends: alembic (>= 0.4.1),
         python-amqplib,
         python-anyjson,
         python-argparse,
         python-configobj,
         python-eventlet (>= 0.9.17),
         python-gflags,
         python-greenlet,
         python-httplib2,
         python-iso8601,
         python-keystoneclient (>= 1:0.2),
         python-kombu,
         python-lxml,
         python-migrate,
         python-netaddr,
         python-novaclient,
         python-oslo.config,
         python-paste,
         python-pastedeploy,
         python-pyudev,
         python-quantumclient (>= 1:2.0),
         python-routes,
         python-simplejson,
         python-sqlalchemy,
         python-webob,
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Description: OpenStack virtual network service - Python library
 Quantum provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Quantum API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python library.

Package: quantum-server
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         debconf,
         lsb-base,
         quantum-common (= ${source:Version}),
         quantum-plugin-openvswitch | quantum-plugin,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: OpenStack virtual network service - server
 Quantum provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Quantum API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Quantum server.

Package: quantum-common
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         debconf,
         python-cliff,
         python-mysqldb,
         python-pyparsing (>=1.5.7),
         python-quantum (= ${source:Version}),
         python-sqlalchemy,
         ${misc:Depends},
         ${python:Depends}
Breaks: quantum-plugin-linuxbridge-agent (<< 2013.1),
        quantum-plugin-openvswitch-agent (<< 2013.1),
        quantum-server (<< 2013.1)
Replaces: quantum-plugin-linuxbridge-agent (<< 2013.1),
          quantum-plugin-openvswitch-agent (<< 2013.1),
          quantum-server (<< 2013.1)
Description: OpenStack virtual network service - common files
 Quantum provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Quantum API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the common files.

Package: quantum-plugin-cisco
Architecture: all
Provides: quantum-plugin
Pre-Depends: dpkg (>= 1.15.6~)
Depends: quantum-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Breaks: python-quantum (<< 2012.1-5.1)
Replaces: python-quantum (<< 2012.1-5.1)
Description: OpenStack virtual network service - Cisco plugin
 Quantum provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Quantum API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the plugin to use with Cisco hardware.

Package: quantum-plugin-nec
Architecture: all
Provides: quantum-plugin
Pre-Depends: dpkg (>= 1.15.6~)
Depends: quantum-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Breaks: python-quantum (<< 2012.1-5.1)
Replaces: python-quantum (<< 2012.1-5.1)
Description: OpenStack virtual network service - NEC plugin
 Quantum provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Quantum API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the NEC plugin.

Package: quantum-plugin-nec-agent
Architecture: all
Provides: quantum-plugin
Pre-Depends: dpkg (>= 1.15.6~)
Depends: quantum-common (= ${source:Version}),
         quantum-plugin-nec,
         sudo,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Breaks: python-quantum (<< 2012.1-5.1)
Replaces: python-quantum (<< 2012.1-5.1)
Description: OpenStack virtual network service - NEC agent
 Quantum provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Quantum API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the NEC plugin agent.

Package: quantum-plugin-bigswitch
Architecture: all
Provides: quantum-plugin
Pre-Depends: dpkg (>= 1.15.6~)
Depends: quantum-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Quantum virtual network service - BigSwitch plugin
 Quantum provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Quantum API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the BigSwitch plugin.

Package: quantum-plugin-hyperv
Architecture: all
Provides: quantum-plugin
Pre-Depends: dpkg (>= 1.15.6~)
Depends: quantum-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Quantum virtual network service - Hyper-V plugin
 Quantum provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Quantum API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Hyper-V plugin.

Package: quantum-plugin-brocade
Architecture: all
Provides: quantum-plugin
Pre-Depends: dpkg (>= 1.15.6~)
Depends: quantum-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Quantum is a virtual network service for Openstack - Brocade plugin
 Quantum provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Quantum API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Brocade plugin.

Package: quantum-plugin-plumgrid
Architecture: all
Provides: quantum-plugin
Pre-Depends: dpkg (>= 1.15.6~)
Depends: quantum-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Quantum virtual network service - PLUMgrid plugin
 Quantum provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Quantum API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the PLUMgrid plugin.

Package: quantum-plugin-metaplugin
Architecture: all
Provides: quantum-plugin
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         quantum-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Quantum virtual network service - metaplugin plugin
 Quantum provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Quantum API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
