=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install
	find . -type d -name tests | xargs rm -fr
	for i in quantum/db/migration/alembic_migrations/versions/*.py ; do \
		install -D -m 0664 $$i debian/tmp/usr/lib/python2.6/dist-packages/$$i ; \
		install -D -m 0664 $$i debian/tmp/usr/lib/python2.7/dist-packages/$$i ; \
	done

override_dh_install:
	dh_install --fail-missing -X/usr/etc -X/usr/bin

	install -D -m 0640 etc/quantum/plugins/openvswitch/ovs_quantum_plugin.ini	$(CURDIR)/debian/quantum-plugin-openvswitch/usr/share/quantum-plugin-openvswitch/ovs_quantum_plugin.ini
	sed -i -e 's|^# Example: tenant_network_type = gre|tenant_network_type = gre|'	$(CURDIR)/debian/quantum-plugin-openvswitch/usr/share/quantum-plugin-openvswitch/ovs_quantum_plugin.ini
	sed -i -e 's|^# Default: enable_tunneling = False|enable_tunneling = True|'	$(CURDIR)/debian/quantum-plugin-openvswitch/usr/share/quantum-plugin-openvswitch/ovs_quantum_plugin.ini
	sed -i -e 's|^# Example: tunnel_id_ranges = 1:1000|tunnel_id_ranges = 1:1000|'	$(CURDIR)/debian/quantum-plugin-openvswitch/usr/share/quantum-plugin-openvswitch/ovs_quantum_plugin.ini
	sed -i -e 's|^# Default: local_ip = 10.0.0.3|local_ip = 192.168.1.10|'		$(CURDIR)/debian/quantum-plugin-openvswitch/usr/share/quantum-plugin-openvswitch/ovs_quantum_plugin.ini

	install -D -m 0640 etc/metadata_agent.ini					$(CURDIR)/debian/quantum-metadata-agent/usr/share/quantum-metadata-agent/metadata_agent.ini
	sed -i -e 's|^# nova_metadata_ip = 127.0.0.1|nova_metadata_ip = 127.0.0.1|'	$(CURDIR)/debian/quantum-metadata-agent/usr/share/quantum-metadata-agent/metadata_agent.ini

override_dh_auto_clean:
	dh_auto_clean
	rm -f quantum/vcsversion.py
	find . -type f -name "*.pyc" | xargs rm -fr
	rm -rf build quantum.egg-info
	rm -rf setuptools_git-*-py*.egg/
	rm -f debian/quantum-common.config \
		debian/quantum-common.postinst \
		debian/quantum-plugin-openvswitch.config \
		debian/quantum-plugin-openvswitch.postinst \
		debian/quantum-server.config \
		debian/quantum-server.postinst \
		debian/quantum-plugin-metaplugin.config \
		debian/quantum-plugin-metaplugin.postinst \
		debian/quantum-dhcp-agent.postinst \
		debian/quantum-metadata-agent.config \
		debian/quantum-metadata-agent.postinst

#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#override_dh_auto_test:
#	./run_tests.sh -N -P || true
#endif

override_dh_auto_build:
	dh_auto_build

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func quantum-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func quantum-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func quantum-plugin-openvswitch.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func quantum-plugin-openvswitch.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func quantum-server.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func quantum-server.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func quantum-plugin-metaplugin.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func quantum-plugin-metaplugin.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func quantum-dhcp-agent.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func quantum-metadata-agent.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func quantum-metadata-agent.config
