## quantum 2013.1.4

=== debian/changelog ===
quantum (1:2013.1.4-0ubuntu1) raring-proposed; urgency=low

  * Resynchronize with stable/grizzly (c57c0fa) (LP: #1241202):
    - [043837e] _retrieve_extra_groups in Nicira plugin incompatible with
      oslo.config >= 1.2.0 LP: 1200609
    - [a150dc6] dhcp-agent network namespace does not have a default route,
      can't use upstream dns LP: 1181378
    - [be16384] Cisco plugin (grizzly) device connection errors LP: 1212834
    - [045c0b0] Cisco plugin (grizzly) does not pass proper args LP: 1213147
    - [5bb6b60] metadata network handling causes stacktrace in nvp plugin
      LP: 1216110
    - [85c92b0] Nicira plugin: get_port reports wrong port status for extended
      switches LP: 1188652
    - [4601b14] Hyper-V agent does not report the correct exception when the
      network type is set to GRE LP: 1224583
    - [8180381] Multiple  Neutron operations  using a script fails on Brocade
      Plugin LP: 1223754
    - [06f7e75] Neutron network delete fails with brocade plugin LP: 1223747
    - [1ca02f6] nec-agent: port_added message can be dropped when RPC timeout
      occurs LP: 1235111
    - [c57c0fa] make nvp plugin future version friendly LP: 1217479

 -- Adam Gandelman <adamg@ubuntu.com>  Thu, 17 Oct 2013 13:53:32 -0700

quantum (1:2013.1.3-0ubuntu1) raring-proposed; urgency=low

  * Resynchronize with stable/grizzly (06f679d) (LP: #1210447):
    - [e1d25de] Bump stable/grizzly next version to 2013.1.3
    - [1fb9952] Port profile should not mark vlan as native-vlan LP: 1186461
    - [2e49395] nec plugin: portinfo entries are not removed LP: 1187249
    - [7e5cb39] Enable router extension in Brocade Plugin LP: 1166516
    - [d298464] DbQuotaDriver allows setting of negative quota values
      LP: 1178886
    - [a6b23e1] when boot many vms with quantum, nova sometimes allocates two
      quantum ports rather than one LP: 1160442
    - [38ad51a] NEC plugin fails to process portinfo message after port delete
      LP: 1187701
    - [1458438] fail to delete network in nec plugin unless subnet is deleted
      explicitly LP: 1190163
    - [9b38a4b] All subprocess.Popen calls should go through common function
      LP: 1053381
    - [a99cc45] Qpid cannot serialize objects containing strings longer than
      65535 characters LP: 1175808
    - [57b2bcf] when a port have multiple IP addresses the port cannot
      communicate LP: 1190613
    - [0d59115] Big Switch Plugin Tenant_id for floating-ip port missing
      LP: 1190020
    - [b606ee1] compute node's OVS agent takes long time to scan sync all
      port's stat and update port security rules LP: 1194438
    - [1d3fee1] Fix Cisco Nexus plugin failures for vlan IDs 1006-4094
      LP: 1174593
    - [fffabc4] Ports created by l3 interface are DOWN LP: 1192883
    - [fe7646a] unable to unset gateway_ip on existing subnet LP: 1178273
    - [f97f1b3] Neutron DHCP agent generates invalid hostnames for new version
      of dnsmasq LP: 1204125
    - [c11cf21] Cisco plugin cannot create ports for non-admin VMs LP: 1202462
    - [b47efc4] Remove unused config parameters from Cisco plugin, document
      the others LP: 1201537
    - [b9daf57] Fix Cisco nexus plugin failure for first VLAN on phy interface
      LP: 1174852
    - [06f679d] Duplicate entries in the hosts file LP: 1191768
  * debian/control: Update Vcs fields.

 -- Adam Gandelman <adamg@ubuntu.com>  Fri, 09 Aug 2013 10:08:11 +0100

quantum (1:2013.1.2-0ubuntu1) raring-proposed; urgency=low

  * debian/control: Add version requirement to python-fixtures (>= 0.3.12).
  * Resynchronize with stable/grizzly (4bac39b2) (LP: #1188788):
    - [db36434] rootwrap filter for iptables-save/restore incomplete LP: 1156044
    - [3339f96] dnsmasq returns its own IP as gateway LP: 1170793
    - [e88a22f] Floodlight/BigSwitch plugin does not return external network
      attributes on get_network LP: 1180971
    - [f431117] quantum-netns-cleanup no longer accepts force argument
      LP: 1180767
    - [120c166] dnsmasq returns its own IP as gateway LP: 1170793
    - [c7a02b2] For networks shared beetwen multiple tenants (net-create
      --shared) there's no 'default' security group LP: 1171997
    - [c9f640a] update-port error if port does not exist in nvp LP: 1172006
    - [1359767] too strict version requirement of kombu LP: 1178512
    - [bc8e9f9] cannot delete default security group after tenants are deleted
      LP: 1175393
    - [cd102c3] plugin path for nvp not correct in folsom to grizzly  migration
      LP: 1180089
    - [b2c658c] make default transport type configurable nvp LP: 1179759
    - [e97fdc4] enable_isolated_metadata_proxy should be called only when
      enable_isolated_metadata enabled LP: 1159015
    - [cd06e21] nicira plugin: metadata access network management makes
      unnecessary calls to backend LP: 1176963
    - [83eae03] Metadata proxy startup can fail when Daemon class doesn't
      properly match running processes LP: 1177416
    - [cee43fb] quantum port-create can not detect duplicate IP address
      LP: 1177277
    - [59410e6] exception raised on disassociate_floatingips when out of sync
      LP: 1177176
    - [d1f1217] L3 & DHCP agents can't kill metadata proxy on RHEL LP: 1178419
    - [1841ea5] dhcp agent uses root_helper setting from dhcp_agent.ini and
      quantum.conf LP: 1178003
    - [6b5c713] Adding virtual devices to namespaces post-creation is not
      supported under RHEL LP: 1171727
    - [aabb62f] binding:vif_type set twice in Brocade plugin LP: 1176570
    - [abf3288] Incorrect logic in OVSQuantumAgent.port_unbound method
      LP: 1173463
    - [5a86b4e] Nova and quantum don't close qpid connections after certain
      error conditions LP: 1172922
    - [7addf41] rootwrap error in devstack w/quantum from quantum-dhcp
      LP: 1080846

 -- Adam Gandelman <adamg@ubuntu.com>  Fri, 07 Jun 2013 13:29:16 -0400

quantum (1:2013.1.1-0ubuntu1) raring-proposed; urgency=low

  * Resynchronize with stable/grizzly (0602baca) (LP: #1179626):
